import * as $dara from '@darabonba/typescript';
export declare class DescribeVRoutersRequest extends $dara.Model {
    ownerAccount?: string;
    ownerId?: number;
    pageNumber?: number;
    pageSize?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    regionId?: string;
    resourceOwnerAccount?: string;
    resourceOwnerId?: number;
    VRouterId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
